## cksfv 1.3

=== Makefile ===
# Makefile for cksfv (Check SFV)

# Copyright (C) 2000 Bryan Call <bc@fodder.org>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

VERSION="1.3"
WEBSITE=/var/www/html/cksfv/

all:
	cd src && gmake VERSION=$(VERSION)

install:
	cd src && gmake VERSION=$(VERSION) install

dist:
	gmake clean
	rm -rf ~/cksfv-$(VERSION) \
	&& cp -r . ~/cksfv-$(VERSION) && cd ~ && rm -rf cksfv-$(VERSION)/CVS \
	&& rm -rf cksfv-$(VERSION)/src/CVS \
	&& rm -rf cksfv-$(VERSION)/rpm/CVS \
	&& tar cf cksfv-$(VERSION).tar cksfv-$(VERSION) \
	&& gzip -9f cksfv-$(VERSION).tar \
	&& rm -rf ~/cksfv-$(VERSION) \

rpm:	dist
	cp ~/cksfv-$(VERSION).tar.gz /usr/src/redhat/SOURCES \
	&& cp rpm/*patch /usr/src/redhat/SOURCES \
	&& cp rpm/cksfv.spec /usr/src/redhat/SPECS \
	&& rpm -ba /usr/src/redhat/SPECS/cksfv.spec \
	&& cp /usr/src/redhat/RPMS/i386/cksfv-$(VERSION)*.i386.rpm ~ \
	&& cp /usr/src/redhat/SRPMS/cksfv-$(VERSION)*.src.rpm ~ \

full_dist: rpm
	cp ~/cksfv-$(VERSION)*.src.rpm $(WEBSITE)
	cp ~/cksfv-$(VERSION)*.i386.rpm $(WEBSITE)
	cp ~/cksfv-$(VERSION).tar.gz $(WEBSITE)
	cd $(WEBSITE) && md5sum cksfv-$(VERSION)*.src.rpm \
	cksfv-$(VERSION)*.i386.rpm cksfv-$(VERSION).tar.gz > \
	cksfv-$(VERSION).md5 && cksfv cksfv-$(VERSION)*.src.rpm \
	cksfv-$(VERSION)*.i386.rpm cksfv-$(VERSION).tar.gz > \
	cksfv-$(VERSION).sfv
	cp ChangeLog README TODO INSTALL $(WEBSITE)

clean:
	rm -f *.o *~ *.core core
	rm -f rpm/*.o rpm/*~ rpm/*.core rpm/core
	cd src && gmake clean

=== src/Makefile ===
# Makefile for cksfv (Check SFV)

# Copyright (C) 2000 Bryan Call <bc@fodder.org>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

PROG=		cksfv
CFLAGS+=	-Wall -Werror -O2 -g
SRCS=		cksfv.c print.c crc32.c readsfv.c newsfv.c

cksfv: $(SRCS)
	gcc -DVERSION=\"$(VERSION)\" $(CFLAGS) -o $(PROG) $(SRCS)

install: cksfv
	cp $(PROG) /usr/local/bin

clean:
	rm -f *.o *~ *.core core $(PROG)

## cksfv 1.3.14

=== debian/changelog ===
cksfv (1.3.14-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:17:00 +0000

cksfv (1.3.14-2) unstable; urgency=low

  * src/readsfv.c : check if the filename provided by the user
    is a directory (Closes: #612741)
  * cksfv.1 : clarify usage of "-g"
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sebastien NOEL <sebastien@twolife.org>  Thu, 04 Aug 2011 09:35:36 +0200

cksfv (1.3.14-1) unstable; urgency=low

  * New upstream release

 -- Sebastien NOEL <sebastien@twolife.org>  Sun, 12 Apr 2009 18:55:32 +0200

cksfv (1.3.13-1) unstable; urgency=low

  * New upstream release.
  * New Maintainer.
  * debian/rules: rewrite using cdbs.

 -- Sebastien NOEL <sebastien@twolife.org>  Sun, 08 Feb 2009 11:01:21 +0100

cksfv (1.3.5-1) unstable; urgency=low

  * New upstream release
  * Due to the non-reachable developer, Heikki Orsila has taken over the
    development of cksfv. This new release is from his homepage at
    http://www.modeemi.fi/~shd/foss/cksfv/ 
    (Closes: #320032)


 -- Stefan Alfredsson <alfs@debian.org>  Wed,  3 Aug 2005 17:53:15 +0200

cksfv (1.3-3) unstable; urgency=low

  * Applied patch from Heikki Orsila to explicitly define 32 bit integers
    instead of assuming that longs are 32 bits (i.e. on AMD64, longs are
    64-bit, which cause misbehaviour) (Closes: #145369, #245984).

  * Status messages are a bit more consistent, by reporting BAD for
    all cases where the status is not OK (Closes: #123656)

 -- Stefan Alfredsson <alfs@debian.org>  Mon, 26 Apr 2004 18:12:50 +0200

cksfv (1.3-2) unstable; urgency=low

  * Months were one-off due to struct tm/tm_mon begins at 0, fixed.
    (closes: Bug#132356)
  * Changed maintainer email to my @debian.org address, to be consistent
    with the other packages maintained.

 -- Stefan Alfredsson <alfs@debian.org>  Tue,  5 Feb 2002 00:03:28 +0100

cksfv (1.3-1) unstable; urgency=low

  * New upstream release
  * Checked that it conforms to the latest standard
  * ITP'd and uploaded (had been packaged privately before)

 -- Stefan Alfredsson <stefan@alfredsson.org>  Thu, 12 Jul 2001 14:46:20 +0200

cksfv (1.1-1) unstable; urgency=low

  * Initial release.

 -- Stefan Alfredsson <stefan@alfredsson.org>  Thu, 15 Jun 2000 11:24:13 +0200

=== debian/control ===
Source: cksfv
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien NOEL <sebastien@twolife.org>
DM-Upload-Allowed: yes
Homepage: http://zakalwe.fi/~shd/foss/cksfv/
Build-Depends: cdbs, debhelper (>> 5)
Standards-Version: 3.9.2

Package: cksfv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sfv checker and generator
 SFV, Simple File Verification, uses crc32 checksums to verify
 that files are intact. cksfv automates the task of generating
 and checking .sfv sheets.
 For integrity, md5 checksums are probably a better alternative,
 but sfv is a widely used method for verification on the
 USENET binary newsgroups and other places.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/buildcore.mk

common-configure-arch:: Makefile
common-build-arch:: src/cksfv

Makefile:
	./configure --prefix=$(CURDIR)/debian/cksfv/usr

src/cksfv:
	$(MAKE)

common-install-arch::
	$(MAKE) install

clean::
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean Makefile src/Makefile src/config.h

=== debian/watch ===
version=3
http://zakalwe.fi/~shd/foss/cksfv/files/cksfv-([0-9.]+)\.tar\.gz

## cksfv 1.3.15

=== debian/changelog ===
cksfv (1.3.15-2) unstable; urgency=low

  * Enable all hardening build flags
  * Use recommended debhelper compat level 13
  * Declare compliance with Policy 4.7.0
  * Update d/copyright to DEP-5 format
  * Update watch file

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 06 Jan 2025 16:42:39 +0100

cksfv (1.3.15-1) unstable; urgency=low

  * New upstream release

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 19 Jan 2022 14:30:12 +0100

cksfv (1.3.14-3) unstable; urgency=low

  * debian/rules:
    + rewrite using dh
    + fix FTCBFS: export a cross compiler as CC
      (Thanks Helmut Grohne. Closes: #900903)
  * debian/control: remove build-dep on cdbs
  * use debhelper compatibility level 12 (Closes: #965466)
  * add debian/patches/spelling-error.patch

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 04 Aug 2020 22:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: cksfv
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien NOEL <sebastien@twolife.org>
-DM-Upload-Allowed: yes
-Homepage: http://zakalwe.fi/~shd/foss/cksfv/
-Build-Depends: cdbs, debhelper (>> 5)
-Standards-Version: 3.9.2
+Maintainer: Sébastien Noel <sebastien@twolife.be>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Homepage: https://gitlab.com/heikkiorsila/cksfv
+#Vcs-Browser: https://salsa.debian.org/debian/cksfv
+#Vcs-Git: https://salsa.debian.org/debian/cksfv.git
 
 Package: cksfv
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/buildtools.mk
export CC

%:
	dh $@

override_dh_auto_configure:
	CFLAGS="$(CPPFLAGS) $(CFLAGS)" ./configure --prefix=$(CURDIR)/debian/cksfv/usr

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/heikkiorsila/@PACKAGE@/tags?sort=updated_desc -/archive/@PACKAGE@-\d[\d.]+/@PACKAGE@-@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
